using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class MultiAsync : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //
    }
    protected void Page_LoadComplete(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            // script's upload command must be
            // assigned in Page_LoadComplete event!
            string AsyncID_1 = this.AsyncFileUpload1.AsyncID;
            string AsyncID_2 = this.AsyncFileUpload2.AsyncID;
            string AsyncID_3 = this.AsyncFileUpload3.AsyncID;            

            this.btnUpload.OnClientClick =
                "doAsyncUpload('" + AsyncID_1 + "', '" + AsyncID_2 + "', '" + AsyncID_3 + "');";
        }
    }
    protected void btnUpload_Click(object sender, EventArgs e)
    {
        this.lblMessage.Text = "[No Message]";

        try
        {
            string fileName = string.Empty;
            string destFolder = string.Empty;
            //
            // First AsyncFileUpload Control
            //
            HttpPostedFile p1 = this.AsyncFileUpload1.PostedFile;

            if (p1 != null)
            {
                fileName = System.IO.Path.GetFileName(p1.FileName);
                destFolder = this.txtFolder.Text;
                if (!destFolder.EndsWith(@"\"))
                {
                    destFolder += @"\";
                }
                p1.SaveAs(destFolder + fileName);
            }

            //
            // Second AsyncFileUpload Control
            //
            HttpPostedFile p2 = this.AsyncFileUpload2.PostedFile;

            if (p2 != null)
            {
                fileName = System.IO.Path.GetFileName(p2.FileName);
                p2.SaveAs(destFolder + fileName);
            }

            //
            // Third AsyncFileUpload Control
            //
            HttpPostedFile p3 = this.AsyncFileUpload3.PostedFile;

            if (p3 != null)
            {
                fileName = System.IO.Path.GetFileName(p3.FileName);
                p3.SaveAs(destFolder + fileName);
            }


            // Upload success!
            this.lblMessage.Text = "Upload success!";
        }
        catch (Exception ex)
        {
            this.lblMessage.Text = ex.Source + " : " + ex.Message;
        }
        finally
        {
            // this is a must!!!
            // otherwise your system will be un-stable!!!
            this.AsyncFileUpload1.Clear();
            this.AsyncFileUpload2.Clear();
            this.AsyncFileUpload3.Clear();
        }
    }
}
