using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Standard : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //
    }
    protected void Page_LoadComplete(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            // script's upload command must be
            // assigned in Page_LoadComplete event!
            this.btnUpload.OnClientClick =
                "doAsyncUpload('" + this.AsyncFileUpload1.AsyncID + "');";
        }
    }
    protected void btnUpload_Click(object sender, EventArgs e)
    {
        this.lblMessage.Text = "[No Message]";

        try
        {
            HttpPostedFile p = this.AsyncFileUpload1.PostedFile;

            if (p != null)
            {
                string fileName = System.IO.Path.GetFileName(p.FileName);
                string destFolder = this.txtFolder.Text;
                if (!destFolder.EndsWith(@"\"))
                {
                    destFolder += @"\";
                }

                p.SaveAs(destFolder + fileName);
                this.lblMessage.Text = "Upload success!";
            }
            else
            {
                this.lblMessage.Text = "No file was uploaded";
            }
        }
        catch (Exception ex)
        {
            this.lblMessage.Text = ex.Source + " : " + ex.Message;
        }
        finally
        {
            // this is a must!!!
            // otherwise your system will be un-stable!!!
            this.AsyncFileUpload1.Clear();
        }
    }
}
