
Partial Class MultiAsync
    Inherits System.Web.UI.Page

    Protected Sub Page_LoadComplete(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.LoadComplete
        If Not Page.IsPostBack Then
            ' script's upload command must be
            ' assigned in Page_LoadComplete event!
            Dim AsyncID_1 As String = Me.AsyncFileUpload1.AsyncID
            Dim AsyncID_2 As String = Me.AsyncFileUpload2.AsyncID
            Dim AsyncID_3 As String = Me.AsyncFileUpload3.AsyncID

            Me.btnUpload.OnClientClick = _
                "doAsyncUpload('" + AsyncID_1 + "', '" + AsyncID_2 + "', '" + AsyncID_3 + "');"
        End If
    End Sub

    Protected Sub btnUpload_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Me.lblMessage.Text = "[No Message]"

        Try
            Dim fileName As String = String.Empty
            Dim destFolder As String = String.Empty

            '
            ' First AsyncFileUpload Control
            '
            Dim p1 As HttpPostedFile = Me.AsyncFileUpload1.PostedFile

            If Not p1 Is Nothing Then
                fileName = System.IO.Path.GetFileName(p1.FileName)
                destFolder = Me.txtFolder.Text
                If Not destFolder.EndsWith("\") Then
                    destFolder += "\"
                End If
                p1.SaveAs(destFolder + fileName)
            End If

            '
            ' Second AsyncFileUpload Control
            '
            Dim p2 As HttpPostedFile = Me.AsyncFileUpload2.PostedFile

            If Not p2 Is Nothing Then
                fileName = System.IO.Path.GetFileName(p2.FileName)
                p2.SaveAs(destFolder + fileName)
            End If

            '
            ' Third AsyncFileUpload Control
            '
            Dim p3 As HttpPostedFile = Me.AsyncFileUpload3.PostedFile

            If Not p3 Is Nothing Then
                fileName = System.IO.Path.GetFileName(p3.FileName)
                p3.SaveAs(destFolder + fileName)
            End If


            ' Upload success!
            Me.lblMessage.Text = "Upload success!"
        Catch ex As Exception
            Me.lblMessage.Text = ex.Source + " : " + ex.Message
        Finally
            ' this is a must!!!
            ' otherwise your system will be un-stable!!!
            Me.AsyncFileUpload1.Clear()
            Me.AsyncFileUpload2.Clear()
            Me.AsyncFileUpload3.Clear()
        End Try
    End Sub

    
End Class
