
Partial Class WithWizard
    Inherits System.Web.UI.Page

    Protected Sub Page_LoadComplete(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.LoadComplete
        If Not Page.IsPostBack Then
            ' script's upload command must be
            ' assigned in Page_LoadComplete event!
            Me.btnUpload.OnClientClick = _
                "doAsyncUpload('" + Me.AsyncFileUpload1.AsyncID + "');"
        End If
    End Sub
    
    Protected Sub btnUpload_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Me.lblMessage.Text = "[No Message]"

        Try
            Dim p As HttpPostedFile = Me.AsyncFileUpload1.PostedFile

            If Not p Is Nothing Then
                Dim fileName As String = System.IO.Path.GetFileName(p.FileName)
                Dim destFolder As String = Me.txtFolder.Text
                If Not destFolder.EndsWith("\") Then
                    destFolder += "\"
                End If

                p.SaveAs(destFolder + fileName)
                Me.lblMessage.Text = "Upload success!"
            Else
                Me.lblMessage.Text = "No file was uploaded"
            End If

        Catch ex As Exception
            Me.lblMessage.Text = ex.Source + " : " + ex.Message
        Finally
            ' this is a must!!!
            ' otherwise your system will be un-stable!!!
            Me.AsyncFileUpload1.Clear()
        End Try
    End Sub
    
End Class
